%define debug_package %{nil}
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=True)")

Summary:	Python library and set of tools for generating basic two-dimensional statistical visualizations

Packager:	Lawrence R. Rogers (lrr@cert.org)

License:	GPLv2
Vendor:		CERT Network Situational Awareness
URL:		http://tools.netsa.cert.org/rayon/
Name:		rayon
Version:	1.3.3
Release:	2%{?dist}
Group:		Applications/System
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{buildroot}
BuildRequires:	python netsa-python <= 1.3

%description
Rayon is a Python library and set of tools for generating basic two-dimensional
statistical visualizations. Rayon can be used to automate reporting; provide data
visualization in command-line, GUI or web applications; or do ad-hoc exploratory
data analysis.

Rayon can generate visualizations in PDF, PNG, SVG and PostScript formats using
Pycairo. It can also be used in wxPython GUI applications.

Rayon is compatible with Python versions 2.4 and greater, and requires netsa-python
and at least one of Pycairo (for static output) or wxPython (for GUI output).

%prep
%setup

%build
%__python setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --root="%{buildroot}" --prefix="%{_prefix}"
%__install -d %{buildroot}/%{_bindir}
mkdir -p %{buildroot}%{_mandir}
mv %{buildroot}%{_prefix}/man/man1 %{buildroot}%{_mandir}
rmdir  %{buildroot}%{_prefix}/man

%clean
# %{__rm} -rf %{buildroot}

%files
%defattr(444, root, root, 0755)
%attr(0755, root, root)		%{_bindir}/rycategories
%attr(0755, root, root)		%{_bindir}/ryhilbert
%attr(0755, root, root)		%{_bindir}/ryscatterplot
%attr(0755, root, root)		%{_bindir}/rystripplot
%attr(0444, root, root)		%{python_sitelib}/%{name}/VERSION
%attr(0444, root, root)		%{python_sitelib}/%{name}/_hilbert.so
%attr(0444, root, root)		%{python_sitelib}/%{name}/hilbert-overlay.png
%dir				%{python_sitelib}/%{name}/appsupport
%attr(0444, root, root)		%{python_sitelib}/%{name}/appsupport/*.py*
%dir				%{python_sitelib}/%{name}/backend_cairo
%attr(0444, root, root)		%{python_sitelib}/%{name}/backend_cairo/*.py*
%dir				%{python_sitelib}/%{name}/layout
%attr(0444, root, root)		%{python_sitelib}/%{name}/layout/*.py*
%attr(0444, root, root)		%{python_sitelib}/%{name}/*.py*
%attr(0444, root, root)		%{_mandir}/man1/rycategories.1.gz
%attr(0444, root, root)		%{_mandir}/man1/ryhilbert.1.gz
%attr(0444, root, root)		%{_mandir}/man1/ryscatterplot.1.gz
%attr(0444, root, root)		%{_mandir}/man1/rystripplot.1.gz
%attr(444, root, root)		%{python_sitelib}/%{name}*egg-info

%changelog
* Thu May 2 2013 Lawrence R. Rogers <lrr@cert.org> 1.3.3-2
* Release 1.3.3-1
	Now specifies the version of netsa-python for SiLK 2.

* Fri Sep 9 2011 Lawrence R. Rogers <lrr@cert.org> 1.3.3-1
* Release 1.3.3-1
	* Add hilbert.h to distribution.
	* Toolbox.new_tickset_from_tick_tuples now takes iterables as input.
	* Additional/clarified documentation.
	* Minor bugfixes.
